Bug 242649 - databases/percona57-server update to 5.7.28-31 (fixed skip-innodb_doublewrite for ZFS)
Summary: databases/percona57-server update to 5.7.28-31 (fixed skip-innodb_doublewrite...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Dima Panov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-15 12:08 UTC by Igor Zabelin
Modified: 2019-12-31 04:44 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (feld)


Attachments
patch to 5.7.28-31 (3.49 KB, patch)
2019-12-15 12:08 UTC, Igor Zabelin
no flags Details | Diff
patch to 5.7.28-31 with libressl support (9.65 KB, patch)
2019-12-17 16:23 UTC, Dima Panov
fluffy: maintainer-approval? (feld)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Igor Zabelin 2019-12-15 12:08:59 UTC
Created attachment 209970 [details]
patch to 5.7.28-31

Bugs Fixed

When using skip-innodb_doublewrite in my.cnf, a parallel doublewrite buffer is still created. Bugs fixed #3411.

When using ZFS, a doublewrite buffer is not needed.
Comment 1 Dima Panov freebsd_committer 2019-12-15 14:45:34 UTC
Port need some adjustments for libressl support, I'll submit updated patch asap
Comment 2 Dima Panov freebsd_committer 2019-12-17 16:23:06 UTC
Created attachment 210010 [details]
patch to 5.7.28-31 with libressl support

Updated patch, with full LibreSSL and OpenSSL <1.1.0 support

Mark, did you have any objections to pass maintanership to me? Last two version updates was committed with very long timeouts from you
Comment 3 commit-hook freebsd_committer 2019-12-31 04:43:37 UTC
A commit references this bug:

Author: fluffy
Date: Tue Dec 31 04:42:45 UTC 2019
New revision: 521589
URL: https://svnweb.freebsd.org/changeset/ports/521589

Log:
  - Update Percona Server/Client to 5.7.28-31 release [1]

  *    When using skip-innodb_doublewrite in my.cnf, a parallel doublewrite buffer
  is still created. Bugs fixed #3411.
  *    During a binlogging replication event, if the master crashes after
  the multi-threaded slave has begun copying to the slave?s relay log
  and before the process has completed, a STOP SLAVE on the slave takes
  longer than expected. Bug fixed #5824.
  *    If pam_krb5 is configured to allow the user to change their password,
  and the password expired, the server crashed after receiving the new password.
  Bug fixed #6023.

  - Provide LibreSSL support [2]
  - Take maintainership. feld@ didn't pet the ports for almost two years,
  all updates was committed with maintainer timeout

  PR:		242649
  Submitted by:	Igor Zabelin [1]. fluffy@ [2]
  Approved by:	maintainer (feld@, timeout >2 weeks)

Changes:
  head/databases/percona57-client/files/patch-cmake_ssl.cmake
  head/databases/percona57-client/files/patch-mysys__ssl_my__crypt.cc
  head/databases/percona57-client/files/patch-sql_auth_sha2__password__common.cc
  head/databases/percona57-client/files/patch-vio_viosslfactories.c
  head/databases/percona57-server/Makefile
  head/databases/percona57-server/distinfo
  head/databases/percona57-server/files/patch-client_CMakeLists.txt
  head/databases/percona57-server/files/patch-cmake_ssl.cmake
  head/databases/percona57-server/files/patch-libmysql_CMakeLists.txt
  head/databases/percona57-server/files/patch-sql_mysqld.cc
Comment 4 Dima Panov freebsd_committer 2019-12-31 04:44:32 UTC
Committed, thanks!